package net.p0f.samples.rhpam_fuse_integration.ws_client;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import net.p0f.samples.rhpam_fuse_integration.shared_dom.Customer;

public class CustomerServiceClient {
	public Customer getCustomer(Integer id) {
		Client rc = ClientBuilder.newClient();

		WebTarget wt = rc.target("http://localhost:9080/ws-customer-data/api/customers/" + id.toString());

		System.out.println(wt.getUri());

		Response r = wt.request(MediaType.APPLICATION_JSON).get();
		
		System.out.println(r.getMediaType() + ", " + r.getLength() + " bytes");

		return(r.readEntity(Customer.class));
	}
}
