package net.p0f.samples.rhpam_fuse_integration.ws_client;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;

import org.jboss.resteasy.client.jaxrs.ResteasyWebTarget;

import net.p0f.samples.rhpam_fuse_integration.shared_dom.Customer;
import net.p0f.samples.rhpam_fuse_integration.ws_rs.spec.CustomerService;

public class CustomerServiceProxy {
	public Customer getCustomer(Integer id) {
		Client rc = ClientBuilder.newClient();

		ResteasyWebTarget rwt = (ResteasyWebTarget)rc.target("http://localhost:9080/ws-customer-data/api");

		CustomerService cs = rwt.proxy(CustomerService.class);

		return(cs.getCustomer(id));
	}
}
